import Setting from '@/setting'
const host = Setting.apiBaseURL

export default {
  // 登录注册 
  logins: `users/users/user/login`,
  verification: `${host}users/users/user/captcha`,
  sendPhoneVerificationCode: `users/users/user/sendPhoneVerificationCode`,
  getToken: `users/users/user/getToken`,
  getOtherAccountByPhone: `users/users/user/getOtherAccountByPhone`,
  unbindAccounts: `users/users/user/unbindAccounts`,
  logout: `users/users/user/logout`,
  checkUserNameOrWorkNumber: `users/users/batchProcessing/checkUserNameOrWorkNumber`,
  updateUserNameOrWorkNumber: `users/users/batchProcessing/updateUserNameOrWorkNumber`,

  // 加密货币
  market: `/topic/market`,
  getTopList: `${Setting.cryptoBaseURL}currency/market/getTopList`,

  platformLogList: `nakadai/nakadai/log/platformLogList`,
  logNotification: `nakadai/nakadai/log/logNotification`,
  // 公用接口
  queryProvince: `nakadai/nakadai/province/queryProvince`,
  queryCity: `nakadai/nakadai/city/queryCity`,
  querySchool: `nakadai/nakadai/school/querySchool`,

  queryCourseDiscipline: `nakadai/nakadai/subject/courseDiscipline`,
  queryCourseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`,
  queryCourseProfessional: `nakadai/nakadai/subject/courseProfessional`,

  getSchoolIdByToken: `users/users/data/user/getSchoolIdByToken`,

  // 个人中心
  uploadUserAvatars: `${host}users/users/userAccount/updateUserAvatars`,
  userInfo: `users/users/userInfo/getUserInfo`,
  updateUser: `users/users/userInfo/updateUser`,
  findPasswordByEmail: `users/users/userAccount/findPasswordByEmail`,
  findPasswordByPhone: `users/users/userAccount/findPasswordByPhone`,

  // 用户管理
  saveUser: `users/users/data/user/save`,
  getDetailByAccount: `occupationlab/occupationlab/architecture/getDetailByAccount`,
  getUserList: `users/users/data/user/getUserList`,
  getUserTotalBySchoolId: `users/users/data/user/getUserTotalBySchoolId`,
  checkAccount: `occupationlab/occupationlab/architecture/checkWorkNumOrAccount`,
  getDetail: `users/users/data/user/getDetail`,
  modifyUser: `users/users/data/user/modify`,
  export_failure: `${host}users/users/data/user/export_failure`,
  uploadFile: `${host}users/users/data/user/uploadFile`,
  deleteUser: `users/users/data/user/delete`,
  resetPwd: `users/users/userAccount/resetPwd`,
  sendPhoneOrEmailCode: `users/users/userAccount/sendPhoneOrEmailCode`,
  unbindMobilePhone: `users/users/userAccount/unbindMobilePhone`,
  bindPhoneOrEmail: `users/users/userAccount/bindPhoneOrEmail`,
  examinePassword: `users/users/userAccount/examinePassword`,
  deleteProfile: `users/users/userInfo/deleteProfile`,
  checkEmailOrPhone: `occupationlab/occupationlab/architecture/checkEmailOrPhone`,
  accountIsDisabled: `users/users/user/accountIsDisabled`,
  generate: `users/users/batchProcessing/users/generate`,
  userTemplate: `https://www.dataforward.cn/template/%E6%95%B0%E6%8D%AE%E5%B9%B3%E5%8F%B0%E7%94%A8%E6%88%B7%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF.xlsx`,

  // 角色管理
  batchRemove: `users/users/role/batchRemove`,
  getRole: `users/users/role/obtainDetails`,
  getName: `data/data/role/getName`,
  listRole: `users/users/role/list`,
  removeRole: `data/data/role/remove`,
  saveOrUpdate: `users/users/role/saveOrUpdate`,
  getPermissions: `users/users/user-role/getUserRolesPermissionMenu`,

  // 权限菜单管理
  doAssign: `data/data/permission/doAssign`,
  queryAllMenus: `users/users/permission/queryAllMenus`,
  savePer: `users/users/user-role/rolePermissionService`,
  toAssign: `data/data/permission/toAssign`,

  // 表展示
  getIdQueryTable: `data/data/table/getIdQueryTable`,
  getTableByClassification: `data/data/table/getTableByClassification`,
  getTableByCondition: `data/data/table/getTableByCondition`,
  downloadData: `${host}data/data/download`,
  previewData: `data/data/preview`,
  visualPreview: `data/data/visualPreview`,
  downloadRecord: `data/data/myDownload/downloadRecord`,
  getDownloadRecord: `data/data/myDownload/getDownloadRecord`,
  downloadAgain: `data/data/downloadAgain`,
  isDownload: `data/data/product/isDownload`,
  getTableTime: `data/data/tableTime/getTableTime`,
  getLevel: `data/data/category/getLevel`,
  multipleTablePreview: `data/data/multipleTablePreview`,

  // 数据操作记录
  queryAccumulate: `data/data/dataRecord/queryAccumulate`,
  queryDatabaseInfo: `data/data/dataRecord/queryDatabaseInfo`,
  queryDatabaseInfoByMonth: `data/data/dataRecord/queryDatabaseInfoByMonth`,
  saveRecord: `data/data/dataRecord/saveRecord`,
  databaseInfoExport: `${host}data/data/dataRecord/databaseInfoExport`,
  databaseInfoByMonthExport: `${host}data/data/dataRecord/databaseInfoByMonthExport`,
  onlineNumber: `data/data/dataRecord/onlineNumber`,
  getProductInfoBySchoolId: `data/data/product/getProductInfoBySchoolId`,
}